## bnfc 2.4.2.0

=== debian/changelog ===
bnfc (2.4.2.0-2) unstable; urgency=low

  * debian/rules: Compile Setup.lhs at configure time, as some architectures
    apparently lack runghc.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 01 Apr 2012 22:25:51 +0300

bnfc (2.4.2.0-1) unstable; urgency=low

  * New upstream release.
  * Converted to source format 3.0 (quilt).
  * Fixed a build failure with recent GHC and Alex.  New patches:
      - remove-haskell98.patch
      - use-alex-3.patch
    Closes: #665063 (FTBFS: Could not find module `Char')
    Reported by Lucas Nussbaum <lucas@lucas-nussbaum.net>.
  * Now generates code that compiles with recent GHC and Alex.  New patches:
      - generate-alex3.patch
      - dont-generate-unqualified.patch
  * Removed Homepage, as it seems to have disappeared.
  * Rewrote the packaging to use dh instead of my aging personal helper script.
  * Rewrote debian/copyright following copyright-format/1.0.
  * Build-Depends:
    - Added ghc as an alternative to ghc6.
    - Added libghc-mtl-dev|libghc6-mtl-dev as it was split off from base.
    - Restricted alex to at least version 3.
    - Added debhelper.
  * Standards-Version 3.9.3.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 01 Apr 2012 21:21:59 +0300

bnfc (2.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert copyright to UTF-8.
  * Update FSF address.
  * Move Homepage from package description to source header.
  * Make clean not ignore errors.
  * Replace tabs with spaces in source files. (Closes: #460386)

 -- Barry deFreese <bddebian@comcast.net>  Fri, 11 Apr 2008 10:15:28 -0400

bnfc (2.2-3) unstable; urgency=medium

  * The "GHC 6.6 broke my toy" release.
  * Backport GHC 6.6 compilation fix from upstream CVS:
     - formats/cpp/RegToFlex.hs, formats/haskell2/CFtoAlex.hs,
       formats/haskell2/CFtoAlex2.hs, GetCF.hs:
       remove paragraph character (§) from lexer specs
     - CF.hs: remove latin-1 whitespace character
    Closes: #393590 (FTBFS with ghc6 6.6)
    Reported by Arjan Oosting <arjanoosting@home.nl>.
  * Standards-Version bumped to 3.7.2, no changes required.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue, 17 Oct 2006 19:00:41 +0300

bnfc (2.2-2) unstable; urgency=low

  * The C++ transition made this package uninstallable.  Rebuild with new
    ghc to fix this (Build-Depends adjusted accordingly).
  * Standards-Version bumped to 3.6.2, no changes required.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 19 Sep 2005 13:16:39 +0300

bnfc (2.2-1) unstable; urgency=low

  * New upstream release
    - incorporates our change
        Makefile (GHC_OPTS): Remove -Wall to avoid clutter at build time
  * debian/copyright: Update.
  * Makefile: clean should remove formats/{profile,xml}/*.{hi,o}

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 10 Apr 2005 13:53:34 +0300

bnfc (2.1.2-2) unstable; urgency=low

  * Fix the
    formats/haskell/CFtoAlex2.hs: Do not import Alex in generated code
    change from our diff (apparently our and upstream's patches
    conflicted in a way I did not see before).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  2 May 2004 22:56:44 +0300

bnfc (2.1.2-1) unstable; urgency=low

  * New upstream release
    - incorporates our change
      formats/haskell/CFtoAlex2.hs: Do not import Alex in generated code
  * debian/control [Build-Depends]: Add a version clause for ghc6, to
    make sure that dynamically linked executables are produced on all
    arches.  Thanks to Ian Lynagh.
    Closes: #241591 ((hppa/unstable): FTBFS: ldd errors)
  * debian/rules: lbnf_spec.tex has been replaced by LBNF-report.tex

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 14 Apr 2004 17:46:00 +0300

bnfc (2.1-1) unstable; urgency=low

  * Initial packaging (closes: #151046).
  * Makefile (GHC_OPTS): Remove -Wall to avoid clutter at build time
  * formats/haskell/CFtoAlex2.hs: Do not import Alex in generated code
 
 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 21 Mar 2004 12:41:54 +0200
