=== debian/control ===
Source: bnfc
Priority: optional
Section: devel
Maintainer: Antti-Juhani Kaijanaho <ajk@debian.org>
Build-Depends: debhelper (>= 9), ghc (>= 7.0.1) | ghc6 (>= 6.10.1+dfsg1), alex (>= 3.0.1), libghc-mtl-dev | libghc6-mtl-dev
Standards-Version: 3.9.3

Package: bnfc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Compiler front-end generator based on Labelled BNF
 The BNF Converter is a compiler construction tool that generates a
 compiler front-end and a readable syntax description document from a
 Labelled BNF grammar. It was originally written to generate Haskell,
 but it can now also be used for generating Java, C++, and C.
 .
 To process Haskell output, you need the Glorious Glasgow Haskell
 Compiler (virtual package ghc), the Happy parser generator (package
 happy) and the Alex scanner generator (package alex).
 .
 To process Java output, you need a Java compiler and virtual machine,
 the CUP parser generator (package cup) and the JLex scanner generator
 (package jlex).
 .
 To process C or C++ output, you need a C or C++ compiler,
 respectively, the Bison parser generator (package bison) and the flex
 scanner generator (package flex).
 .
 To process the generated documents, you need LaTeX (packages
 tetex-base, tetex-bin, etc.).
