## bnfc 2.6.0.3

=== debian/changelog ===
bnfc (2.6.0.3-2) unstable; urgency=low

  * Change Homepage field (Closes: #677988)
  * Enable compat level 9
  * Bump standards version to 3.9.4

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:49:41 +0200

bnfc (2.6.0.3-1) experimental; urgency=low

  * New upstream release
  * Adopt package by the Debian Haskell Group (Closes: 665783)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 11 May 2013 14:40:44 +0200
