## bnfc 2.8

=== debian/changelog ===
bnfc (2.8-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:01 -0500

bnfc (2.8-3) experimental; urgency=medium

  [ Joachim Breitner ]
  * General lintian cleanup

 -- Sven Bartscher <sven.bartscher@weltraumschlangen.de>  Tue, 29 Sep 2015 17:50:33 +0200

bnfc (2.8-2) experimental; urgency=medium

  * Add lintian override for spurious rpaths

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 15:03:50 +0200

bnfc (2.8-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:26:51 +0200

bnfc (2.6.0.3-4) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:47:22 +0200

bnfc (2.6.0.3-3) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:09:19 +0100
