=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: bnfc
-Section: haskell
-Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
-Build-Depends: debhelper (>= 9)
-  , cdbs
-  , haskell-devscripts (>= 0.8.13)
-  , ghc
-  , ghc-prof
-  , libghc-mtl-dev
-  , libghc-process-dev
-  , alex
-  , happy
-Standards-Version: 3.9.4
+Priority: extra
+Section: haskell
+Build-Depends: debhelper (>= 9),
+ haskell-devscripts (>= 0.10),
+ cdbs,
+ ghc,
+ ghc-prof,
+ libghc-mtl-dev,
+ alex,
+ happy,
+Standards-Version: 3.9.6
 Homepage: http://bnfc.digitalgrammars.com/
-Vcs-Darcs: http://darcs.debian.org/pkg-haskell/bnfc
-Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/bnfc
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
+Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: bnfc
+Architecture: any
 Section: devel
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
 Description: Compiler front-end generator based on Labelled BNF
  The BNF Converter is a compiler construction tool that generates a
  compiler front-end and a readable syntax description document from a
