## bnfc 2.8.1

=== debian/changelog ===
bnfc (2.8.1-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:13 -0400

bnfc (2.8.1-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 14:26:12 -0400

bnfc (2.8.1-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 05 Sep 2016 00:00:43 -0400

bnfc (2.8-5) unstable; urgency=medium

  * Fill in more authors in debian/copyright
  * Fix source location in debina/copyright
  * Bump standards version to 3.9.8 (no changes needed)

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 07 May 2016 08:11:58 +0300
