=== debian/changelog ===
bnfc (2.8.3-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Remove Dmitry Bogatov from Uploaders per his request. Thank you
    Dmitry for your previous maintainership.

  [ Sean Whitton ]
  * New upstream release

  [ Ilias Tsitsimpis ]
  * Bump std-version to 4.5.0

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 18 Jun 2020 13:41:36 +0300

bnfc (2.8.1-6) unstable; urgency=medium

  * Patch to build with ghc-8.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 04 Oct 2018 14:53:27 +0300

bnfc (2.8.1-5) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:20 +0300

bnfc (2.8.1-4) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:39 -0400
