=== debian/control ===
--- 
+++ 
@@ -2,22 +2,25 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Joachim Breitner <nomeata@debian.org>,
- Dmitry Bogatov <KAction@gnu.org>,
-Priority: extra
+ Ilias Tsitsimpis <iliastsi@debian.org>,
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  alex,
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  happy,
  haskell-devscripts (>= 0.13),
- libghc-mtl-dev,
-Standards-Version: 3.9.8
+ libghc-semigroups-dev,
+ libghc-semigroups-prof,
+Build-Depends-Indep: ghc-doc,
+Standards-Version: 4.5.0
 Homepage: http://bnfc.digitalgrammars.com/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/bnfc
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/bnfc
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/bnfc]
 
 Package: bnfc
 Architecture: any
