=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: bnfc
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
- Joachim Breitner <nomeata@debian.org>,
  Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
 Section: haskell
@@ -14,10 +13,12 @@
  ghc-prof,
  happy,
  haskell-devscripts (>= 0.13),
- libghc-semigroups-dev,
- libghc-semigroups-prof,
-Build-Depends-Indep: ghc-doc,
-Standards-Version: 4.5.0
+ libghc-string-qq-dev,
+ libghc-string-qq-prof,
+ libghc-cabal-doctest-dev (>= 1),
+ libghc-cabal-doctest-dev (<< 1.1),
+ libghc-cabal-doctest-prof,
+Standards-Version: 4.6.1
 Homepage: http://bnfc.digitalgrammars.com/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/bnfc
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/bnfc]
