## bnfc 2.9.5

=== Makefile ===
--- 
+++ 
@@ -5,36 +5,50 @@
 # Cabal options (to be overwritten from the command line)
 CABAL_OPTS           =
 CABAL_BUILDDIR_SUFFIX=
-CABAL_BUILD_OPTS     = --builddir=dist-ghc-$(GHC_VERSION)$(CABAL_BUILDDIR_SUFFIX)
+CABAL_BUILD_OPTS     = --enable-tests
+# --builddir=dist-ghc-$(GHC_VERSION)$(CABAL_BUILDDIR_SUFFIX)
 CABAL_CONFIGURE_OPTS = --enable-tests
-CABAL_INSTALL_OPTS   = $(CABAL_CONFIGURE_OPTS) $(CABAL_BUILD_OPTS)
+CABAL_INSTALL_OPTS   = $(CABAL_CONFIGURE_OPTS) $(CABAL_BUILD_OPTS) --overwrite-policy=always
 CABAL_TEST_OPTS      = $(CABAL_BUILD_OPTS)
 
 CABAL                = cabal $(CABAL_OPTS)
-CABAL_CONFIGURE      = $(CABAL) v1-configure $(CABAL_CONFIGURE_OPTS)
-CABAL_BUILD          = $(CABAL) v1-build     $(CABAL_BUILD_OPTS)
-CABAL_INSTALL        = $(CABAL) v1-install   $(CABAL_INSTALL_OPTS)
-CABAL_TEST           = $(CABAL) v1-test      $(CABAL_TEST_OPTS)
+CABAL_CONFIGURE      = $(CABAL) configure $(CABAL_CONFIGURE_OPTS)
+CABAL_BUILD          = $(CABAL) build     $(CABAL_BUILD_OPTS)
+CABAL_INSTALL        = $(CABAL) install   $(CABAL_INSTALL_OPTS)
+CABAL_TEST           = $(CABAL) test      $(CABAL_TEST_OPTS)
 
 # Name for binary distribution (e.g. bnfc-2.4.5-linux32)
 BDIST_TAG=bnfc-${BNFC_VERSION}-$(shell uname -s)-$(shell uname -m)
 
 .PHONY: default build install doc test bdist show-version debug weed TAGS
 
-default: install test
+default: build cabal-test doctest-quick
 
 build:
-	$(CABAL_CONFIGURE) && $(CABAL_BUILD)
+	$(CABAL_BUILD)
 
 install:
 	$(CABAL_INSTALL)
 
-test:
+test: build cabal-test doctest
+
+cabal-test:
 	$(CABAL_TEST)
 
-haddock doc:
-	$(CABAL) v1-haddock --hyperlink-source
-# --executables --internal
+doctest: build doctest-install doctest-quick
+
+doctest-install:
+	cabal install doctest --program-suffix=-${GHC_VERSION}
+
+doctest-quick:
+	cabal repl -w doctest-${GHC_VERSION} --repl-options=-Wno-type-defaults
+# --ghc-options=-Wno-type-defaults needed due to OverloadedStrings.
+# But it does not get used here, needs to go into cabal file.
+# see: https://github.com/sol/doctest/issues/390
+# --repl-options seems to work, though
+
+haddock:
+	$(CABAL) haddock
 
 # See https://hackage.haskell.org/package/weeder
 # weeder can find dead code starting from the .hie files
