=== debian/control ===
--- 
+++ 
@@ -9,17 +9,12 @@
  alex,
  cdbs,
  debhelper (>= 10),
- ghc (>= 8.4.3),
- ghc-prof,
+ ghc (>= 9.4),
  happy,
  haskell-devscripts (>= 0.13),
  libghc-string-qq-dev,
- libghc-string-qq-prof,
- libghc-cabal-doctest-dev (>= 1),
- libghc-cabal-doctest-dev (<< 1.1),
- libghc-cabal-doctest-prof,
-Standards-Version: 4.6.1
-Homepage: http://bnfc.digitalgrammars.com/
+Standards-Version: 4.6.2
+Homepage: https://bnfc.digitalgrammars.com/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/bnfc
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/bnfc]
