=== debian/changelog ===
bnfc (2.9.6.1-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.7.0

  [ Scott Talbert ]
  * Build using dh-haskell
  * New upstream release

 -- Scott Talbert <swt@techie.net>  Mon, 05 Jan 2026 18:23:11 -0500
