=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Rules-Requires-Root: no
 Build-Depends:
  alex,
- cdbs,
- debhelper (>= 10),
- ghc (>= 9.4),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
+ ghc (>= 9.10),
  happy,
  haskell-devscripts (>= 0.13),
  libghc-string-qq-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://bnfc.digitalgrammars.com/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/bnfc
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/bnfc]
